---
title: Investigate
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/typescript)

[Email Security](https://developers.cloudflare.com/api/typescript/resources/email_security)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Investigate

##### [Search email messages](https://developers.cloudflare.com/api/typescript/resources/email_security/subresources/investigate/methods/list)

client.emailSecurity.investigate.list(InvestigateListParams {account\_id, alert\_id, cursor, 16 more } params, RequestOptionsoptions?): V4PagePaginationArray< [InvestigateListResponse](<https://developers.cloudflare.com/api/typescript/resources/email_security#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)>) {id, action\_log, client\_recipients, 32 more } >

GET/accounts/{account\_id}/email-security/investigate

##### [Get message details](https://developers.cloudflare.com/api/typescript/resources/email_security/subresources/investigate/methods/get)

client.emailSecurity.investigate.get(stringinvestigateID, InvestigateGetParams {account\_id, submission } params, RequestOptionsoptions?): [InvestigateGetResponse](<https://developers.cloudflare.com/api/typescript/resources/email_security#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)>) {id, action\_log, client\_recipients, 32 more }

GET/accounts/{account\_id}/email-security/investigate/{investigate\_id}

##### ModelsExpand Collapse

<details>

<summary>

InvestigateListResponse {id, action\_log, client\_recipients, 32 more }

</summary>

id: string

Unique identifier for a message retrieved from investigation.

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

<details>

<summary>

Deprecatedaction\_log: Array&lt;ActionLog&gt;

Use GET /investigate/{investigate\_id}/action\_log instead.

Deprecated, use <code>GET /investigate/{investigate_id}/action_log</code> instead. End of life: November 1, 2026.

</summary>

completed\_at: string

Timestamp when action completed.

formatdate-time

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20action_log%20%3E%20(items)%20%3E%20(property)%20completed_at">Link to this property</a>

<details>

<summary>

operation: "MOVE"| "RELEASE"| "RECLASSIFY"| 3 more

Type of action performed.

</summary>

One of the following:

"MOVE"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20action_log%20%3E%20(items)%20%3E%20(property)%20operation%20%3E%20(member)%200">Link to this property</a>

"RELEASE"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20action_log%20%3E%20(items)%20%3E%20(property)%20operation%20%3E%20(member)%201">Link to this property</a>

"RECLASSIFY"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20action_log%20%3E%20(items)%20%3E%20(property)%20operation%20%3E%20(member)%202">Link to this property</a>

"SUBMISSION"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20action_log%20%3E%20(items)%20%3E%20(property)%20operation%20%3E%20(member)%203">Link to this property</a>

"QUARANTINE\_RELEASE"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20action_log%20%3E%20(items)%20%3E%20(property)%20operation%20%3E%20(member)%204">Link to this property</a>

"PREVIEW"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20action_log%20%3E%20(items)%20%3E%20(property)%20operation%20%3E%20(member)%205">Link to this property</a>

</details>

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20action_log%20%3E%20(items)%20%3E%20(property)%20operation">Link to this property</a>

Deprecatedcompleted\_timestamp?: string

Use <code>completed_at</code> instead.

Deprecated, use <code>completed_at</code> instead. End of life: November 1, 2026.

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20action_log%20%3E%20(items)%20%3E%20(property)%20completed_timestamp">Link to this property</a>

<details>

<summary>

properties?: Properties {folder, requested\_by }

Additional properties for the action.

</summary>

folder?: string

Target folder for move operations.

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20action_log%20%3E%20(items)%20%3E%20(property)%20properties%20%3E%20(property)%20folder">Link to this property</a>

requested\_by?: string

User who requested the action.

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20action_log%20%3E%20(items)%20%3E%20(property)%20properties%20%3E%20(property)%20requested_by">Link to this property</a>

</details>

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20action_log%20%3E%20(items)%20%3E%20(property)%20properties">Link to this property</a>

status?: string| null

Status of the action.

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20action_log%20%3E%20(items)%20%3E%20(property)%20status">Link to this property</a>

</details>

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20action_log">Link to this property</a>

client\_recipients: Array&lt;string&gt;

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20client_recipients">Link to this property</a>

detection\_reasons: Array&lt;string&gt;

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20detection_reasons">Link to this property</a>

is\_phish\_submission: boolean

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20is_phish_submission">Link to this property</a>

is\_quarantined: boolean

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20is_quarantined">Link to this property</a>

postfix\_id: string

The identifier of the message.

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20postfix_id">Link to this property</a>

<details>

<summary>

properties: Properties {allowlisted\_pattern, allowlisted\_pattern\_type, blocklisted\_message, 2 more }

Message processing properties.

</summary>

allowlisted\_pattern?: string| null

Pattern that allowlisted this message.

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20properties%20%3E%20(property)%20allowlisted_pattern">Link to this property</a>

<details>

<summary>

allowlisted\_pattern\_type?: "quarantine\_release"| "acceptable\_sender"| "allowed\_sender"| 5 more| null

Type of allowlist pattern.

</summary>

One of the following:

"quarantine\_release"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20properties%20%3E%20(property)%20allowlisted_pattern_type%20%3E%20(member)%200">Link to this property</a>

"acceptable\_sender"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20properties%20%3E%20(property)%20allowlisted_pattern_type%20%3E%20(member)%201">Link to this property</a>

"allowed\_sender"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20properties%20%3E%20(property)%20allowlisted_pattern_type%20%3E%20(member)%202">Link to this property</a>

"allowed\_recipient"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20properties%20%3E%20(property)%20allowlisted_pattern_type%20%3E%20(member)%203">Link to this property</a>

"domain\_similarity"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20properties%20%3E%20(property)%20allowlisted_pattern_type%20%3E%20(member)%204">Link to this property</a>

"domain\_recency"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20properties%20%3E%20(property)%20allowlisted_pattern_type%20%3E%20(member)%205">Link to this property</a>

"managed\_acceptable\_sender"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20properties%20%3E%20(property)%20allowlisted_pattern_type%20%3E%20(member)%206">Link to this property</a>

"outbound\_ndr"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20properties%20%3E%20(property)%20allowlisted_pattern_type%20%3E%20(member)%207">Link to this property</a>

</details>

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20properties%20%3E%20(property)%20allowlisted_pattern_type">Link to this property</a>

blocklisted\_message?: boolean| null

Whether message was blocklisted.

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20properties%20%3E%20(property)%20blocklisted_message">Link to this property</a>

blocklisted\_pattern?: string| null

Pattern that blocklisted this message.

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20properties%20%3E%20(property)%20blocklisted_pattern">Link to this property</a>

<details>

<summary>

whitelisted\_pattern\_type?: "quarantine\_release"| "acceptable\_sender"| "allowed\_sender"| 5 more| null

Legacy field for allowlist pattern type.

</summary>

One of the following:

"quarantine\_release"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20properties%20%3E%20(property)%20whitelisted_pattern_type%20%3E%20(member)%200">Link to this property</a>

"acceptable\_sender"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20properties%20%3E%20(property)%20whitelisted_pattern_type%20%3E%20(member)%201">Link to this property</a>

"allowed\_sender"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20properties%20%3E%20(property)%20whitelisted_pattern_type%20%3E%20(member)%202">Link to this property</a>

"allowed\_recipient"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20properties%20%3E%20(property)%20whitelisted_pattern_type%20%3E%20(member)%203">Link to this property</a>

"domain\_similarity"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20properties%20%3E%20(property)%20whitelisted_pattern_type%20%3E%20(member)%204">Link to this property</a>

"domain\_recency"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20properties%20%3E%20(property)%20whitelisted_pattern_type%20%3E%20(member)%205">Link to this property</a>

"managed\_acceptable\_sender"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20properties%20%3E%20(property)%20whitelisted_pattern_type%20%3E%20(member)%206">Link to this property</a>

"outbound\_ndr"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20properties%20%3E%20(property)%20whitelisted_pattern_type%20%3E%20(member)%207">Link to this property</a>

</details>

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20properties%20%3E%20(property)%20whitelisted_pattern_type">Link to this property</a>

</details>

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20properties">Link to this property</a>

Deprecatedts: string

Use <code>scanned_at</code> instead.

Deprecated, use <code>scanned_at</code> instead. End of life: November 1, 2026.

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20ts">Link to this property</a>

alert\_id?: string| null

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20alert_id">Link to this property</a>

<details>

<summary>

delivery\_mode?: "DIRECT"| "BCC"| "JOURNAL"| 8 more| null

</summary>

One of the following:

"DIRECT"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20delivery_mode%20%3E%20(member)%200">Link to this property</a>

"BCC"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20delivery_mode%20%3E%20(member)%201">Link to this property</a>

"JOURNAL"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20delivery_mode%20%3E%20(member)%202">Link to this property</a>

"REVIEW\_SUBMISSION"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20delivery_mode%20%3E%20(member)%203">Link to this property</a>

"DMARC\_UNVERIFIED"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20delivery_mode%20%3E%20(member)%204">Link to this property</a>

"DMARC\_FAILURE\_REPORT"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20delivery_mode%20%3E%20(member)%205">Link to this property</a>

"DMARC\_AGGREGATE\_REPORT"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20delivery_mode%20%3E%20(member)%206">Link to this property</a>

"THREAT\_INTEL\_SUBMISSION"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20delivery_mode%20%3E%20(member)%207">Link to this property</a>

"SIMULATION\_SUBMISSION"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20delivery_mode%20%3E%20(member)%208">Link to this property</a>

"API"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20delivery_mode%20%3E%20(member)%209">Link to this property</a>

"RETRO\_SCAN"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20delivery_mode%20%3E%20(member)%2010">Link to this property</a>

</details>

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20delivery_mode">Link to this property</a>

<details>

<summary>

delivery\_status?: Array&lt;"delivered"| "moved"| "quarantined"| 5 more&gt;| null

</summary>

One of the following:

"delivered"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20delivery_status%20%3E%20(items)%20%3E%20(member)%200">Link to this property</a>

"moved"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20delivery_status%20%3E%20(items)%20%3E%20(member)%201">Link to this property</a>

"quarantined"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20delivery_status%20%3E%20(items)%20%3E%20(member)%202">Link to this property</a>

"rejected"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20delivery_status%20%3E%20(items)%20%3E%20(member)%203">Link to this property</a>

"deferred"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20delivery_status%20%3E%20(items)%20%3E%20(member)%204">Link to this property</a>

"bounced"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20delivery_status%20%3E%20(items)%20%3E%20(member)%205">Link to this property</a>

"queued"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20delivery_status%20%3E%20(items)%20%3E%20(member)%206">Link to this property</a>

"move\_failed"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20delivery_status%20%3E%20(items)%20%3E%20(member)%207">Link to this property</a>

</details>

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20delivery_status">Link to this property</a>

edf\_hash?: string| null

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20edf_hash">Link to this property</a>

envelope\_from?: string| null

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20envelope_from">Link to this property</a>

envelope\_to?: Array&lt;string&gt;| null

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20envelope_to">Link to this property</a>

<details>

<summary>

final\_disposition?: "MALICIOUS"| "MALICIOUS-BEC"| "SUSPICIOUS"| 7 more| null

The verdict Email Security assigns to a message.

</summary>

One of the following:

"MALICIOUS"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20final_disposition%20%3E%20(member)%200">Link to this property</a>

"MALICIOUS-BEC"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20final_disposition%20%3E%20(member)%201">Link to this property</a>

"SUSPICIOUS"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20final_disposition%20%3E%20(member)%202">Link to this property</a>

"SPOOF"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20final_disposition%20%3E%20(member)%203">Link to this property</a>

"SPAM"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20final_disposition%20%3E%20(member)%204">Link to this property</a>

"BULK"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20final_disposition%20%3E%20(member)%205">Link to this property</a>

"ENCRYPTED"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20final_disposition%20%3E%20(member)%206">Link to this property</a>

"EXTERNAL"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20final_disposition%20%3E%20(member)%207">Link to this property</a>

"UNKNOWN"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20final_disposition%20%3E%20(member)%208">Link to this property</a>

"NONE"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20final_disposition%20%3E%20(member)%209">Link to this property</a>

</details>

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20final_disposition">Link to this property</a>

<details>

<summary>

Deprecatedfindings?: Array&lt;Finding&gt;| null

Use the <code>findings</code> field from GET /investigate/{investigate\_id}/detections instead.

Deprecated, use the <code>findings</code> field from <code>GET /investigate/{investigate_id}/detections</code> instead. End of life: November 1, 2026. Detection findings for this message.

</summary>

attachment?: string| null

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20findings%20%3E%20(items)%20%3E%20(property)%20attachment">Link to this property</a>

detail?: string| null

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20findings%20%3E%20(items)%20%3E%20(property)%20detail">Link to this property</a>

<details>

<summary>

detection?: "MALICIOUS"| "MALICIOUS-BEC"| "SUSPICIOUS"| 7 more| null

The verdict Email Security assigns to a message.

</summary>

One of the following:

"MALICIOUS"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20findings%20%3E%20(items)%20%3E%20(property)%20detection%20%3E%20(member)%200">Link to this property</a>

"MALICIOUS-BEC"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20findings%20%3E%20(items)%20%3E%20(property)%20detection%20%3E%20(member)%201">Link to this property</a>

"SUSPICIOUS"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20findings%20%3E%20(items)%20%3E%20(property)%20detection%20%3E%20(member)%202">Link to this property</a>

"SPOOF"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20findings%20%3E%20(items)%20%3E%20(property)%20detection%20%3E%20(member)%203">Link to this property</a>

"SPAM"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20findings%20%3E%20(items)%20%3E%20(property)%20detection%20%3E%20(member)%204">Link to this property</a>

"BULK"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20findings%20%3E%20(items)%20%3E%20(property)%20detection%20%3E%20(member)%205">Link to this property</a>

"ENCRYPTED"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20findings%20%3E%20(items)%20%3E%20(property)%20detection%20%3E%20(member)%206">Link to this property</a>

"EXTERNAL"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20findings%20%3E%20(items)%20%3E%20(property)%20detection%20%3E%20(member)%207">Link to this property</a>

"UNKNOWN"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20findings%20%3E%20(items)%20%3E%20(property)%20detection%20%3E%20(member)%208">Link to this property</a>

"NONE"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20findings%20%3E%20(items)%20%3E%20(property)%20detection%20%3E%20(member)%209">Link to this property</a>

</details>

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20findings%20%3E%20(items)%20%3E%20(property)%20detection">Link to this property</a>

field?: string| null

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20findings%20%3E%20(items)%20%3E%20(property)%20field">Link to this property</a>

name?: string| null

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20findings%20%3E%20(items)%20%3E%20(property)%20name">Link to this property</a>

portion?: string| null

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20findings%20%3E%20(items)%20%3E%20(property)%20portion">Link to this property</a>

reason?: string| null

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20findings%20%3E%20(items)%20%3E%20(property)%20reason">Link to this property</a>

score?: number| null

formatdouble

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20findings%20%3E%20(items)%20%3E%20(property)%20score">Link to this property</a>

value?: string| null

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20findings%20%3E%20(items)%20%3E%20(property)%20value">Link to this property</a>

</details>

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20findings">Link to this property</a>

from?: string| null

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20from">Link to this property</a>

from\_name?: string| null

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20from_name">Link to this property</a>

htmltext\_structure\_hash?: string| null

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20htmltext_structure_hash">Link to this property</a>

message\_id?: string| null

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20message_id">Link to this property</a>

<details>

<summary>

post\_delivery\_operations?: Array&lt;"PREVIEW"| "QUARANTINE\_RELEASE"| "SUBMISSION"| "MOVE"&gt;| null

Post-delivery operations performed on this message.

</summary>

One of the following:

"PREVIEW"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20post_delivery_operations%20%3E%20(items)%20%3E%20(member)%200">Link to this property</a>

"QUARANTINE\_RELEASE"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20post_delivery_operations%20%3E%20(items)%20%3E%20(member)%201">Link to this property</a>

"SUBMISSION"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20post_delivery_operations%20%3E%20(items)%20%3E%20(member)%202">Link to this property</a>

"MOVE"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20post_delivery_operations%20%3E%20(items)%20%3E%20(member)%203">Link to this property</a>

</details>

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20post_delivery_operations">Link to this property</a>

postfix\_id\_outbound?: string| null

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20postfix_id_outbound">Link to this property</a>

replyto?: string| null

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20replyto">Link to this property</a>

scanned\_at?: string| null

When the message was scanned (UTC).

formatdate-time

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20scanned_at">Link to this property</a>

sent\_at?: string| null

When the message was sent (UTC).

formatdate-time

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20sent_at">Link to this property</a>

sent\_date?: string| null

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20sent_date">Link to this property</a>

smtp\_helo\_server\_ip?: string| null

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20smtp_helo_server_ip">Link to this property</a>

smtp\_previous\_hop\_ip?: string| null

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20smtp_previous_hop_ip">Link to this property</a>

subject?: string| null

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20subject">Link to this property</a>

threat\_categories?: Array&lt;string&gt;| null

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20threat_categories">Link to this property</a>

to?: Array&lt;string&gt;| null

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20to">Link to this property</a>

to\_name?: Array&lt;string&gt;| null

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20to_name">Link to this property</a>

<details>

<summary>

validation?: Validation| null

</summary>

comment?: string| null

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20validation%20%3E%20(property)%20comment">Link to this property</a>

<details>

<summary>

dkim?: "pass"| "neutral"| "fail"| 2 more| null

</summary>

One of the following:

"pass"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20validation%20%3E%20(property)%20dkim%20%3E%20(member)%200">Link to this property</a>

"neutral"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20validation%20%3E%20(property)%20dkim%20%3E%20(member)%201">Link to this property</a>

"fail"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20validation%20%3E%20(property)%20dkim%20%3E%20(member)%202">Link to this property</a>

"error"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20validation%20%3E%20(property)%20dkim%20%3E%20(member)%203">Link to this property</a>

"none"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20validation%20%3E%20(property)%20dkim%20%3E%20(member)%204">Link to this property</a>

</details>

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20validation%20%3E%20(property)%20dkim">Link to this property</a>

<details>

<summary>

dmarc?: "pass"| "neutral"| "fail"| 2 more| null

</summary>

One of the following:

"pass"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20validation%20%3E%20(property)%20dmarc%20%3E%20(member)%200">Link to this property</a>

"neutral"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20validation%20%3E%20(property)%20dmarc%20%3E%20(member)%201">Link to this property</a>

"fail"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20validation%20%3E%20(property)%20dmarc%20%3E%20(member)%202">Link to this property</a>

"error"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20validation%20%3E%20(property)%20dmarc%20%3E%20(member)%203">Link to this property</a>

"none"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20validation%20%3E%20(property)%20dmarc%20%3E%20(member)%204">Link to this property</a>

</details>

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20validation%20%3E%20(property)%20dmarc">Link to this property</a>

<details>

<summary>

spf?: "pass"| "neutral"| "fail"| 2 more| null

</summary>

One of the following:

"pass"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20validation%20%3E%20(property)%20spf%20%3E%20(member)%200">Link to this property</a>

"neutral"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20validation%20%3E%20(property)%20spf%20%3E%20(member)%201">Link to this property</a>

"fail"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20validation%20%3E%20(property)%20spf%20%3E%20(member)%202">Link to this property</a>

"error"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20validation%20%3E%20(property)%20spf%20%3E%20(member)%203">Link to this property</a>

"none"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20validation%20%3E%20(property)%20spf%20%3E%20(member)%204">Link to this property</a>

</details>

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20validation%20%3E%20(property)%20spf">Link to this property</a>

</details>

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20validation">Link to this property</a>

x\_originating\_ip?: string| null

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)%20%3E%20(property)%20x_originating_ip">Link to this property</a>

</details>

[Link to this property](<#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_list_response%20%3E%20(schema)>)

<details>

<summary>

InvestigateGetResponse {id, action\_log, client\_recipients, 32 more }

</summary>

id: string

Unique identifier for a message retrieved from investigation.

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

<details>

<summary>

Deprecatedaction\_log: Array&lt;ActionLog&gt;

Use GET /investigate/{investigate\_id}/action\_log instead.

Deprecated, use <code>GET /investigate/{investigate_id}/action_log</code> instead. End of life: November 1, 2026.

</summary>

completed\_at: string

Timestamp when action completed.

formatdate-time

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20action_log%20%3E%20(items)%20%3E%20(property)%20completed_at">Link to this property</a>

<details>

<summary>

operation: "MOVE"| "RELEASE"| "RECLASSIFY"| 3 more

Type of action performed.

</summary>

One of the following:

"MOVE"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20action_log%20%3E%20(items)%20%3E%20(property)%20operation%20%3E%20(member)%200">Link to this property</a>

"RELEASE"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20action_log%20%3E%20(items)%20%3E%20(property)%20operation%20%3E%20(member)%201">Link to this property</a>

"RECLASSIFY"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20action_log%20%3E%20(items)%20%3E%20(property)%20operation%20%3E%20(member)%202">Link to this property</a>

"SUBMISSION"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20action_log%20%3E%20(items)%20%3E%20(property)%20operation%20%3E%20(member)%203">Link to this property</a>

"QUARANTINE\_RELEASE"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20action_log%20%3E%20(items)%20%3E%20(property)%20operation%20%3E%20(member)%204">Link to this property</a>

"PREVIEW"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20action_log%20%3E%20(items)%20%3E%20(property)%20operation%20%3E%20(member)%205">Link to this property</a>

</details>

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20action_log%20%3E%20(items)%20%3E%20(property)%20operation">Link to this property</a>

Deprecatedcompleted\_timestamp?: string

Use <code>completed_at</code> instead.

Deprecated, use <code>completed_at</code> instead. End of life: November 1, 2026.

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20action_log%20%3E%20(items)%20%3E%20(property)%20completed_timestamp">Link to this property</a>

<details>

<summary>

properties?: Properties {folder, requested\_by }

Additional properties for the action.

</summary>

folder?: string

Target folder for move operations.

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20action_log%20%3E%20(items)%20%3E%20(property)%20properties%20%3E%20(property)%20folder">Link to this property</a>

requested\_by?: string

User who requested the action.

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20action_log%20%3E%20(items)%20%3E%20(property)%20properties%20%3E%20(property)%20requested_by">Link to this property</a>

</details>

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20action_log%20%3E%20(items)%20%3E%20(property)%20properties">Link to this property</a>

status?: string| null

Status of the action.

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20action_log%20%3E%20(items)%20%3E%20(property)%20status">Link to this property</a>

</details>

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20action_log">Link to this property</a>

client\_recipients: Array&lt;string&gt;

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20client_recipients">Link to this property</a>

detection\_reasons: Array&lt;string&gt;

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20detection_reasons">Link to this property</a>

is\_phish\_submission: boolean

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20is_phish_submission">Link to this property</a>

is\_quarantined: boolean

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20is_quarantined">Link to this property</a>

postfix\_id: string

The identifier of the message.

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20postfix_id">Link to this property</a>

<details>

<summary>

properties: Properties {allowlisted\_pattern, allowlisted\_pattern\_type, blocklisted\_message, 2 more }

Message processing properties.

</summary>

allowlisted\_pattern?: string| null

Pattern that allowlisted this message.

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20properties%20%3E%20(property)%20allowlisted_pattern">Link to this property</a>

<details>

<summary>

allowlisted\_pattern\_type?: "quarantine\_release"| "acceptable\_sender"| "allowed\_sender"| 5 more| null

Type of allowlist pattern.

</summary>

One of the following:

"quarantine\_release"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20properties%20%3E%20(property)%20allowlisted_pattern_type%20%3E%20(member)%200">Link to this property</a>

"acceptable\_sender"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20properties%20%3E%20(property)%20allowlisted_pattern_type%20%3E%20(member)%201">Link to this property</a>

"allowed\_sender"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20properties%20%3E%20(property)%20allowlisted_pattern_type%20%3E%20(member)%202">Link to this property</a>

"allowed\_recipient"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20properties%20%3E%20(property)%20allowlisted_pattern_type%20%3E%20(member)%203">Link to this property</a>

"domain\_similarity"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20properties%20%3E%20(property)%20allowlisted_pattern_type%20%3E%20(member)%204">Link to this property</a>

"domain\_recency"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20properties%20%3E%20(property)%20allowlisted_pattern_type%20%3E%20(member)%205">Link to this property</a>

"managed\_acceptable\_sender"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20properties%20%3E%20(property)%20allowlisted_pattern_type%20%3E%20(member)%206">Link to this property</a>

"outbound\_ndr"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20properties%20%3E%20(property)%20allowlisted_pattern_type%20%3E%20(member)%207">Link to this property</a>

</details>

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20properties%20%3E%20(property)%20allowlisted_pattern_type">Link to this property</a>

blocklisted\_message?: boolean| null

Whether message was blocklisted.

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20properties%20%3E%20(property)%20blocklisted_message">Link to this property</a>

blocklisted\_pattern?: string| null

Pattern that blocklisted this message.

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20properties%20%3E%20(property)%20blocklisted_pattern">Link to this property</a>

<details>

<summary>

whitelisted\_pattern\_type?: "quarantine\_release"| "acceptable\_sender"| "allowed\_sender"| 5 more| null

Legacy field for allowlist pattern type.

</summary>

One of the following:

"quarantine\_release"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20properties%20%3E%20(property)%20whitelisted_pattern_type%20%3E%20(member)%200">Link to this property</a>

"acceptable\_sender"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20properties%20%3E%20(property)%20whitelisted_pattern_type%20%3E%20(member)%201">Link to this property</a>

"allowed\_sender"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20properties%20%3E%20(property)%20whitelisted_pattern_type%20%3E%20(member)%202">Link to this property</a>

"allowed\_recipient"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20properties%20%3E%20(property)%20whitelisted_pattern_type%20%3E%20(member)%203">Link to this property</a>

"domain\_similarity"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20properties%20%3E%20(property)%20whitelisted_pattern_type%20%3E%20(member)%204">Link to this property</a>

"domain\_recency"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20properties%20%3E%20(property)%20whitelisted_pattern_type%20%3E%20(member)%205">Link to this property</a>

"managed\_acceptable\_sender"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20properties%20%3E%20(property)%20whitelisted_pattern_type%20%3E%20(member)%206">Link to this property</a>

"outbound\_ndr"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20properties%20%3E%20(property)%20whitelisted_pattern_type%20%3E%20(member)%207">Link to this property</a>

</details>

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20properties%20%3E%20(property)%20whitelisted_pattern_type">Link to this property</a>

</details>

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20properties">Link to this property</a>

Deprecatedts: string

Use <code>scanned_at</code> instead.

Deprecated, use <code>scanned_at</code> instead. End of life: November 1, 2026.

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20ts">Link to this property</a>

alert\_id?: string| null

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20alert_id">Link to this property</a>

<details>

<summary>

delivery\_mode?: "DIRECT"| "BCC"| "JOURNAL"| 8 more| null

</summary>

One of the following:

"DIRECT"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20delivery_mode%20%3E%20(member)%200">Link to this property</a>

"BCC"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20delivery_mode%20%3E%20(member)%201">Link to this property</a>

"JOURNAL"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20delivery_mode%20%3E%20(member)%202">Link to this property</a>

"REVIEW\_SUBMISSION"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20delivery_mode%20%3E%20(member)%203">Link to this property</a>

"DMARC\_UNVERIFIED"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20delivery_mode%20%3E%20(member)%204">Link to this property</a>

"DMARC\_FAILURE\_REPORT"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20delivery_mode%20%3E%20(member)%205">Link to this property</a>

"DMARC\_AGGREGATE\_REPORT"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20delivery_mode%20%3E%20(member)%206">Link to this property</a>

"THREAT\_INTEL\_SUBMISSION"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20delivery_mode%20%3E%20(member)%207">Link to this property</a>

"SIMULATION\_SUBMISSION"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20delivery_mode%20%3E%20(member)%208">Link to this property</a>

"API"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20delivery_mode%20%3E%20(member)%209">Link to this property</a>

"RETRO\_SCAN"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20delivery_mode%20%3E%20(member)%2010">Link to this property</a>

</details>

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20delivery_mode">Link to this property</a>

<details>

<summary>

delivery\_status?: Array&lt;"delivered"| "moved"| "quarantined"| 5 more&gt;| null

</summary>

One of the following:

"delivered"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20delivery_status%20%3E%20(items)%20%3E%20(member)%200">Link to this property</a>

"moved"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20delivery_status%20%3E%20(items)%20%3E%20(member)%201">Link to this property</a>

"quarantined"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20delivery_status%20%3E%20(items)%20%3E%20(member)%202">Link to this property</a>

"rejected"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20delivery_status%20%3E%20(items)%20%3E%20(member)%203">Link to this property</a>

"deferred"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20delivery_status%20%3E%20(items)%20%3E%20(member)%204">Link to this property</a>

"bounced"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20delivery_status%20%3E%20(items)%20%3E%20(member)%205">Link to this property</a>

"queued"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20delivery_status%20%3E%20(items)%20%3E%20(member)%206">Link to this property</a>

"move\_failed"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20delivery_status%20%3E%20(items)%20%3E%20(member)%207">Link to this property</a>

</details>

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20delivery_status">Link to this property</a>

edf\_hash?: string| null

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20edf_hash">Link to this property</a>

envelope\_from?: string| null

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20envelope_from">Link to this property</a>

envelope\_to?: Array&lt;string&gt;| null

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20envelope_to">Link to this property</a>

<details>

<summary>

final\_disposition?: "MALICIOUS"| "MALICIOUS-BEC"| "SUSPICIOUS"| 7 more| null

The verdict Email Security assigns to a message.

</summary>

One of the following:

"MALICIOUS"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20final_disposition%20%3E%20(member)%200">Link to this property</a>

"MALICIOUS-BEC"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20final_disposition%20%3E%20(member)%201">Link to this property</a>

"SUSPICIOUS"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20final_disposition%20%3E%20(member)%202">Link to this property</a>

"SPOOF"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20final_disposition%20%3E%20(member)%203">Link to this property</a>

"SPAM"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20final_disposition%20%3E%20(member)%204">Link to this property</a>

"BULK"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20final_disposition%20%3E%20(member)%205">Link to this property</a>

"ENCRYPTED"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20final_disposition%20%3E%20(member)%206">Link to this property</a>

"EXTERNAL"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20final_disposition%20%3E%20(member)%207">Link to this property</a>

"UNKNOWN"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20final_disposition%20%3E%20(member)%208">Link to this property</a>

"NONE"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20final_disposition%20%3E%20(member)%209">Link to this property</a>

</details>

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20final_disposition">Link to this property</a>

<details>

<summary>

Deprecatedfindings?: Array&lt;Finding&gt;| null

Use the <code>findings</code> field from GET /investigate/{investigate\_id}/detections instead.

Deprecated, use the <code>findings</code> field from <code>GET /investigate/{investigate_id}/detections</code> instead. End of life: November 1, 2026. Detection findings for this message.

</summary>

attachment?: string| null

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20findings%20%3E%20(items)%20%3E%20(property)%20attachment">Link to this property</a>

detail?: string| null

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20findings%20%3E%20(items)%20%3E%20(property)%20detail">Link to this property</a>

<details>

<summary>

detection?: "MALICIOUS"| "MALICIOUS-BEC"| "SUSPICIOUS"| 7 more| null

The verdict Email Security assigns to a message.

</summary>

One of the following:

"MALICIOUS"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20findings%20%3E%20(items)%20%3E%20(property)%20detection%20%3E%20(member)%200">Link to this property</a>

"MALICIOUS-BEC"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20findings%20%3E%20(items)%20%3E%20(property)%20detection%20%3E%20(member)%201">Link to this property</a>

"SUSPICIOUS"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20findings%20%3E%20(items)%20%3E%20(property)%20detection%20%3E%20(member)%202">Link to this property</a>

"SPOOF"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20findings%20%3E%20(items)%20%3E%20(property)%20detection%20%3E%20(member)%203">Link to this property</a>

"SPAM"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20findings%20%3E%20(items)%20%3E%20(property)%20detection%20%3E%20(member)%204">Link to this property</a>

"BULK"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20findings%20%3E%20(items)%20%3E%20(property)%20detection%20%3E%20(member)%205">Link to this property</a>

"ENCRYPTED"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20findings%20%3E%20(items)%20%3E%20(property)%20detection%20%3E%20(member)%206">Link to this property</a>

"EXTERNAL"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20findings%20%3E%20(items)%20%3E%20(property)%20detection%20%3E%20(member)%207">Link to this property</a>

"UNKNOWN"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20findings%20%3E%20(items)%20%3E%20(property)%20detection%20%3E%20(member)%208">Link to this property</a>

"NONE"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20findings%20%3E%20(items)%20%3E%20(property)%20detection%20%3E%20(member)%209">Link to this property</a>

</details>

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20findings%20%3E%20(items)%20%3E%20(property)%20detection">Link to this property</a>

field?: string| null

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20findings%20%3E%20(items)%20%3E%20(property)%20field">Link to this property</a>

name?: string| null

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20findings%20%3E%20(items)%20%3E%20(property)%20name">Link to this property</a>

portion?: string| null

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20findings%20%3E%20(items)%20%3E%20(property)%20portion">Link to this property</a>

reason?: string| null

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20findings%20%3E%20(items)%20%3E%20(property)%20reason">Link to this property</a>

score?: number| null

formatdouble

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20findings%20%3E%20(items)%20%3E%20(property)%20score">Link to this property</a>

value?: string| null

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20findings%20%3E%20(items)%20%3E%20(property)%20value">Link to this property</a>

</details>

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20findings">Link to this property</a>

from?: string| null

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20from">Link to this property</a>

from\_name?: string| null

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20from_name">Link to this property</a>

htmltext\_structure\_hash?: string| null

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20htmltext_structure_hash">Link to this property</a>

message\_id?: string| null

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20message_id">Link to this property</a>

<details>

<summary>

post\_delivery\_operations?: Array&lt;"PREVIEW"| "QUARANTINE\_RELEASE"| "SUBMISSION"| "MOVE"&gt;| null

Post-delivery operations performed on this message.

</summary>

One of the following:

"PREVIEW"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20post_delivery_operations%20%3E%20(items)%20%3E%20(member)%200">Link to this property</a>

"QUARANTINE\_RELEASE"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20post_delivery_operations%20%3E%20(items)%20%3E%20(member)%201">Link to this property</a>

"SUBMISSION"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20post_delivery_operations%20%3E%20(items)%20%3E%20(member)%202">Link to this property</a>

"MOVE"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20post_delivery_operations%20%3E%20(items)%20%3E%20(member)%203">Link to this property</a>

</details>

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20post_delivery_operations">Link to this property</a>

postfix\_id\_outbound?: string| null

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20postfix_id_outbound">Link to this property</a>

replyto?: string| null

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20replyto">Link to this property</a>

scanned\_at?: string| null

When the message was scanned (UTC).

formatdate-time

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20scanned_at">Link to this property</a>

sent\_at?: string| null

When the message was sent (UTC).

formatdate-time

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20sent_at">Link to this property</a>

sent\_date?: string| null

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20sent_date">Link to this property</a>

smtp\_helo\_server\_ip?: string| null

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20smtp_helo_server_ip">Link to this property</a>

smtp\_previous\_hop\_ip?: string| null

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20smtp_previous_hop_ip">Link to this property</a>

subject?: string| null

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20subject">Link to this property</a>

threat\_categories?: Array&lt;string&gt;| null

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20threat_categories">Link to this property</a>

to?: Array&lt;string&gt;| null

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20to">Link to this property</a>

to\_name?: Array&lt;string&gt;| null

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20to_name">Link to this property</a>

<details>

<summary>

validation?: Validation| null

</summary>

comment?: string| null

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20validation%20%3E%20(property)%20comment">Link to this property</a>

<details>

<summary>

dkim?: "pass"| "neutral"| "fail"| 2 more| null

</summary>

One of the following:

"pass"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20validation%20%3E%20(property)%20dkim%20%3E%20(member)%200">Link to this property</a>

"neutral"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20validation%20%3E%20(property)%20dkim%20%3E%20(member)%201">Link to this property</a>

"fail"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20validation%20%3E%20(property)%20dkim%20%3E%20(member)%202">Link to this property</a>

"error"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20validation%20%3E%20(property)%20dkim%20%3E%20(member)%203">Link to this property</a>

"none"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20validation%20%3E%20(property)%20dkim%20%3E%20(member)%204">Link to this property</a>

</details>

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20validation%20%3E%20(property)%20dkim">Link to this property</a>

<details>

<summary>

dmarc?: "pass"| "neutral"| "fail"| 2 more| null

</summary>

One of the following:

"pass"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20validation%20%3E%20(property)%20dmarc%20%3E%20(member)%200">Link to this property</a>

"neutral"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20validation%20%3E%20(property)%20dmarc%20%3E%20(member)%201">Link to this property</a>

"fail"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20validation%20%3E%20(property)%20dmarc%20%3E%20(member)%202">Link to this property</a>

"error"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20validation%20%3E%20(property)%20dmarc%20%3E%20(member)%203">Link to this property</a>

"none"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20validation%20%3E%20(property)%20dmarc%20%3E%20(member)%204">Link to this property</a>

</details>

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20validation%20%3E%20(property)%20dmarc">Link to this property</a>

<details>

<summary>

spf?: "pass"| "neutral"| "fail"| 2 more| null

</summary>

One of the following:

"pass"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20validation%20%3E%20(property)%20spf%20%3E%20(member)%200">Link to this property</a>

"neutral"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20validation%20%3E%20(property)%20spf%20%3E%20(member)%201">Link to this property</a>

"fail"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20validation%20%3E%20(property)%20spf%20%3E%20(member)%202">Link to this property</a>

"error"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20validation%20%3E%20(property)%20spf%20%3E%20(member)%203">Link to this property</a>

"none"

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20validation%20%3E%20(property)%20spf%20%3E%20(member)%204">Link to this property</a>

</details>

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20validation%20%3E%20(property)%20spf">Link to this property</a>

</details>

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20validation">Link to this property</a>

x\_originating\_ip?: string| null

<a href="#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)%20%3E%20(property)%20x_originating_ip">Link to this property</a>

</details>

[Link to this property](<#(resource)%20email_security.investigate%20%3E%20(model)%20investigate_get_response%20%3E%20(schema)>)

#### InvestigateDetections

##### [Get message detection details](https://developers.cloudflare.com/api/typescript/resources/email_security/subresources/investigate/subresources/detections/methods/get)

client.emailSecurity.investigate.detections.get(stringinvestigateID, DetectionGetParams {account\_id } params, RequestOptionsoptions?): [DetectionGetResponse](<https://developers.cloudflare.com/api/typescript/resources/email_security#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)>) {action, attachments, findings, 6 more }

GET/accounts/{account\_id}/email-security/investigate/{investigate\_id}/detections

##### ModelsExpand Collapse

<details>

<summary>

DetectionGetResponse {action, attachments, findings, 6 more }

</summary>

action: string

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20action">Link to this property</a>

<details>

<summary>

attachments: Array&lt;Attachment&gt;

</summary>

size: number

Size of the attachment in bytes.

minimum0

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20attachments%20%3E%20(items)%20%3E%20(property)%20size">Link to this property</a>

content\_type?: string| null

MIME type of the attachment.

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20attachments%20%3E%20(items)%20%3E%20(property)%20content_type">Link to this property</a>

<details>

<summary>

detection?: "MALICIOUS"| "MALICIOUS-BEC"| "SUSPICIOUS"| 7 more| null

Detection result for this attachment.

</summary>

One of the following:

"MALICIOUS"

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20attachments%20%3E%20(items)%20%3E%20(property)%20detection%20%3E%20(member)%200">Link to this property</a>

"MALICIOUS-BEC"

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20attachments%20%3E%20(items)%20%3E%20(property)%20detection%20%3E%20(member)%201">Link to this property</a>

"SUSPICIOUS"

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20attachments%20%3E%20(items)%20%3E%20(property)%20detection%20%3E%20(member)%202">Link to this property</a>

"SPOOF"

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20attachments%20%3E%20(items)%20%3E%20(property)%20detection%20%3E%20(member)%203">Link to this property</a>

"SPAM"

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20attachments%20%3E%20(items)%20%3E%20(property)%20detection%20%3E%20(member)%204">Link to this property</a>

"BULK"

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20attachments%20%3E%20(items)%20%3E%20(property)%20detection%20%3E%20(member)%205">Link to this property</a>

"ENCRYPTED"

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20attachments%20%3E%20(items)%20%3E%20(property)%20detection%20%3E%20(member)%206">Link to this property</a>

"EXTERNAL"

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20attachments%20%3E%20(items)%20%3E%20(property)%20detection%20%3E%20(member)%207">Link to this property</a>

"UNKNOWN"

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20attachments%20%3E%20(items)%20%3E%20(property)%20detection%20%3E%20(member)%208">Link to this property</a>

"NONE"

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20attachments%20%3E%20(items)%20%3E%20(property)%20detection%20%3E%20(member)%209">Link to this property</a>

</details>

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20attachments%20%3E%20(items)%20%3E%20(property)%20detection">Link to this property</a>

encrypted?: boolean| null

Whether the attachment is encrypted.

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20attachments%20%3E%20(items)%20%3E%20(property)%20encrypted">Link to this property</a>

filename?: string| null

Name of the attached file.

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20attachments%20%3E%20(items)%20%3E%20(property)%20filename">Link to this property</a>

md5?: string| null

MD5 hash of the attachment.

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20attachments%20%3E%20(items)%20%3E%20(property)%20md5">Link to this property</a>

name?: string| null

Attachment name (alternative to filename).

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20attachments%20%3E%20(items)%20%3E%20(property)%20name">Link to this property</a>

sha1?: string| null

SHA1 hash of the attachment.

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20attachments%20%3E%20(items)%20%3E%20(property)%20sha1">Link to this property</a>

sha256?: string| null

SHA256 hash of the attachment.

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20attachments%20%3E%20(items)%20%3E%20(property)%20sha256">Link to this property</a>

</details>

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20attachments">Link to this property</a>

<details>

<summary>

findings: Array&lt;Finding&gt;| null

</summary>

attachment?: string| null

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20findings%20%3E%20(items)%20%3E%20(property)%20attachment">Link to this property</a>

detail?: string| null

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20findings%20%3E%20(items)%20%3E%20(property)%20detail">Link to this property</a>

<details>

<summary>

detection?: "MALICIOUS"| "MALICIOUS-BEC"| "SUSPICIOUS"| 7 more| null

Detection result associated with this finding.

</summary>

One of the following:

"MALICIOUS"

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20findings%20%3E%20(items)%20%3E%20(property)%20detection%20%3E%20(member)%200">Link to this property</a>

"MALICIOUS-BEC"

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20findings%20%3E%20(items)%20%3E%20(property)%20detection%20%3E%20(member)%201">Link to this property</a>

"SUSPICIOUS"

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20findings%20%3E%20(items)%20%3E%20(property)%20detection%20%3E%20(member)%202">Link to this property</a>

"SPOOF"

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20findings%20%3E%20(items)%20%3E%20(property)%20detection%20%3E%20(member)%203">Link to this property</a>

"SPAM"

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20findings%20%3E%20(items)%20%3E%20(property)%20detection%20%3E%20(member)%204">Link to this property</a>

"BULK"

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20findings%20%3E%20(items)%20%3E%20(property)%20detection%20%3E%20(member)%205">Link to this property</a>

"ENCRYPTED"

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20findings%20%3E%20(items)%20%3E%20(property)%20detection%20%3E%20(member)%206">Link to this property</a>

"EXTERNAL"

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20findings%20%3E%20(items)%20%3E%20(property)%20detection%20%3E%20(member)%207">Link to this property</a>

"UNKNOWN"

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20findings%20%3E%20(items)%20%3E%20(property)%20detection%20%3E%20(member)%208">Link to this property</a>

"NONE"

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20findings%20%3E%20(items)%20%3E%20(property)%20detection%20%3E%20(member)%209">Link to this property</a>

</details>

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20findings%20%3E%20(items)%20%3E%20(property)%20detection">Link to this property</a>

field?: string| null

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20findings%20%3E%20(items)%20%3E%20(property)%20field">Link to this property</a>

name?: string| null

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20findings%20%3E%20(items)%20%3E%20(property)%20name">Link to this property</a>

portion?: string| null

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20findings%20%3E%20(items)%20%3E%20(property)%20portion">Link to this property</a>

reason?: string| null

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20findings%20%3E%20(items)%20%3E%20(property)%20reason">Link to this property</a>

score?: number| null

formatdouble

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20findings%20%3E%20(items)%20%3E%20(property)%20score">Link to this property</a>

value?: string| null

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20findings%20%3E%20(items)%20%3E%20(property)%20value">Link to this property</a>

</details>

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20findings">Link to this property</a>

<details>

<summary>

headers: Array&lt;Header&gt;

</summary>

name: string

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20headers%20%3E%20(items)%20%3E%20(property)%20name">Link to this property</a>

value: string

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20headers%20%3E%20(items)%20%3E%20(property)%20value">Link to this property</a>

</details>

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20headers">Link to this property</a>

<details>

<summary>

links: Array&lt;Link&gt;

</summary>

href: string

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20links%20%3E%20(items)%20%3E%20(property)%20href">Link to this property</a>

text?: string| null

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20links%20%3E%20(items)%20%3E%20(property)%20text">Link to this property</a>

</details>

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20links">Link to this property</a>

<details>

<summary>

sender\_info: SenderInfo {as\_name, as\_number, geo, 2 more }

</summary>

as\_name?: string| null

The name of the autonomous system.

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20sender_info%20%3E%20(property)%20as_name">Link to this property</a>

as\_number?: number| null

The number of the autonomous system.

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20sender_info%20%3E%20(property)%20as_number">Link to this property</a>

geo?: string| null

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20sender_info%20%3E%20(property)%20geo">Link to this property</a>

ip?: string| null

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20sender_info%20%3E%20(property)%20ip">Link to this property</a>

pld?: string| null

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20sender_info%20%3E%20(property)%20pld">Link to this property</a>

</details>

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20sender_info">Link to this property</a>

<details>

<summary>

threat\_categories: Array&lt;ThreatCategory&gt;

</summary>

id?: number

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20threat_categories%20%3E%20(items)%20%3E%20(property)%20id">Link to this property</a>

description?: string| null

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20threat_categories%20%3E%20(items)%20%3E%20(property)%20description">Link to this property</a>

name?: string| null

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20threat_categories%20%3E%20(items)%20%3E%20(property)%20name">Link to this property</a>

</details>

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20threat_categories">Link to this property</a>

<details>

<summary>

validation: Validation {comment, dkim, dmarc, spf }

</summary>

comment?: string| null

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20validation%20%3E%20(property)%20comment">Link to this property</a>

<details>

<summary>

dkim?: "pass"| "neutral"| "fail"| 2 more| null

</summary>

One of the following:

"pass"

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20validation%20%3E%20(property)%20dkim%20%3E%20(member)%200">Link to this property</a>

"neutral"

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20validation%20%3E%20(property)%20dkim%20%3E%20(member)%201">Link to this property</a>

"fail"

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20validation%20%3E%20(property)%20dkim%20%3E%20(member)%202">Link to this property</a>

"error"

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20validation%20%3E%20(property)%20dkim%20%3E%20(member)%203">Link to this property</a>

"none"

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20validation%20%3E%20(property)%20dkim%20%3E%20(member)%204">Link to this property</a>

</details>

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20validation%20%3E%20(property)%20dkim">Link to this property</a>

<details>

<summary>

dmarc?: "pass"| "neutral"| "fail"| 2 more| null

</summary>

One of the following:

"pass"

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20validation%20%3E%20(property)%20dmarc%20%3E%20(member)%200">Link to this property</a>

"neutral"

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20validation%20%3E%20(property)%20dmarc%20%3E%20(member)%201">Link to this property</a>

"fail"

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20validation%20%3E%20(property)%20dmarc%20%3E%20(member)%202">Link to this property</a>

"error"

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20validation%20%3E%20(property)%20dmarc%20%3E%20(member)%203">Link to this property</a>

"none"

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20validation%20%3E%20(property)%20dmarc%20%3E%20(member)%204">Link to this property</a>

</details>

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20validation%20%3E%20(property)%20dmarc">Link to this property</a>

<details>

<summary>

spf?: "pass"| "neutral"| "fail"| 2 more| null

</summary>

One of the following:

"pass"

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20validation%20%3E%20(property)%20spf%20%3E%20(member)%200">Link to this property</a>

"neutral"

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20validation%20%3E%20(property)%20spf%20%3E%20(member)%201">Link to this property</a>

"fail"

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20validation%20%3E%20(property)%20spf%20%3E%20(member)%202">Link to this property</a>

"error"

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20validation%20%3E%20(property)%20spf%20%3E%20(member)%203">Link to this property</a>

"none"

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20validation%20%3E%20(property)%20spf%20%3E%20(member)%204">Link to this property</a>

</details>

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20validation%20%3E%20(property)%20spf">Link to this property</a>

</details>

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20validation">Link to this property</a>

<details>

<summary>

final\_disposition?: "MALICIOUS"| "MALICIOUS-BEC"| "SUSPICIOUS"| 7 more| null

The verdict Email Security assigns to a message.

</summary>

One of the following:

"MALICIOUS"

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20final_disposition%20%3E%20(member)%200">Link to this property</a>

"MALICIOUS-BEC"

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20final_disposition%20%3E%20(member)%201">Link to this property</a>

"SUSPICIOUS"

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20final_disposition%20%3E%20(member)%202">Link to this property</a>

"SPOOF"

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20final_disposition%20%3E%20(member)%203">Link to this property</a>

"SPAM"

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20final_disposition%20%3E%20(member)%204">Link to this property</a>

"BULK"

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20final_disposition%20%3E%20(member)%205">Link to this property</a>

"ENCRYPTED"

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20final_disposition%20%3E%20(member)%206">Link to this property</a>

"EXTERNAL"

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20final_disposition%20%3E%20(member)%207">Link to this property</a>

"UNKNOWN"

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20final_disposition%20%3E%20(member)%208">Link to this property</a>

"NONE"

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20final_disposition%20%3E%20(member)%209">Link to this property</a>

</details>

<a href="#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)%20%3E%20(property)%20final_disposition">Link to this property</a>

</details>

[Link to this property](<#(resource)%20email_security.investigate.detections%20%3E%20(model)%20detection_get_response%20%3E%20(schema)>)

#### InvestigatePreview

##### [Get preview for a detection](https://developers.cloudflare.com/api/typescript/resources/email_security/subresources/investigate/subresources/preview/methods/get)

client.emailSecurity.investigate.preview.get(stringinvestigateID, PreviewGetParams {account\_id } params, RequestOptionsoptions?): [PreviewGetResponse](<https://developers.cloudflare.com/api/typescript/resources/email_security#(resource)%20email_security.investigate.preview%20%3E%20(model)%20preview_get_response%20%3E%20(schema)>) {screenshot }

GET/accounts/{account\_id}/email-security/investigate/{investigate\_id}/preview

##### [Generate preview for a non-detection message](https://developers.cloudflare.com/api/typescript/resources/email_security/subresources/investigate/subresources/preview/methods/create)

client.emailSecurity.investigate.preview.create(PreviewCreateParams {account\_id, id } params, RequestOptionsoptions?): [PreviewCreateResponse](<https://developers.cloudflare.com/api/typescript/resources/email_security#(resource)%20email_security.investigate.preview%20%3E%20(model)%20preview_create_response%20%3E%20(schema)>) {screenshot }

POST/accounts/{account\_id}/email-security/investigate/preview

##### ModelsExpand Collapse

<details>

<summary>

PreviewGetResponse {screenshot }

</summary>

screenshot: string

A base64 encoded PNG image of the email.

<a href="#(resource)%20email_security.investigate.preview%20%3E%20(model)%20preview_get_response%20%3E%20(schema)%20%3E%20(property)%20screenshot">Link to this property</a>

</details>

[Link to this property](<#(resource)%20email_security.investigate.preview%20%3E%20(model)%20preview_get_response%20%3E%20(schema)>)

<details>

<summary>

PreviewCreateResponse {screenshot }

</summary>

screenshot: string

A base64 encoded PNG image of the email.

<a href="#(resource)%20email_security.investigate.preview%20%3E%20(model)%20preview_create_response%20%3E%20(schema)%20%3E%20(property)%20screenshot">Link to this property</a>

</details>

[Link to this property](<#(resource)%20email_security.investigate.preview%20%3E%20(model)%20preview_create_response%20%3E%20(schema)>)

#### InvestigateRaw

##### [Get raw email content](https://developers.cloudflare.com/api/typescript/resources/email_security/subresources/investigate/subresources/raw/methods/get)

client.emailSecurity.investigate.raw.get(stringinvestigateID, RawGetParams {account\_id } params, RequestOptionsoptions?): [RawGetResponse](<https://developers.cloudflare.com/api/typescript/resources/email_security#(resource)%20email_security.investigate.raw%20%3E%20(model)%20raw_get_response%20%3E%20(schema)>) {raw }

GET/accounts/{account\_id}/email-security/investigate/{investigate\_id}/raw

##### ModelsExpand Collapse

<details>

<summary>

RawGetResponse {raw }

</summary>

raw: string

A UTF-8 encoded eml file of the email.

<a href="#(resource)%20email_security.investigate.raw%20%3E%20(model)%20raw_get_response%20%3E%20(schema)%20%3E%20(property)%20raw">Link to this property</a>

</details>

[Link to this property](<#(resource)%20email_security.investigate.raw%20%3E%20(model)%20raw_get_response%20%3E%20(schema)>)

#### InvestigateTrace

##### [Get email trace](https://developers.cloudflare.com/api/typescript/resources/email_security/subresources/investigate/subresources/trace/methods/get)

client.emailSecurity.investigate.trace.get(stringinvestigateID, TraceGetParams {account\_id } params, RequestOptionsoptions?): [TraceGetResponse](<https://developers.cloudflare.com/api/typescript/resources/email_security#(resource)%20email_security.investigate.trace%20%3E%20(model)%20trace_get_response%20%3E%20(schema)>) {inbound, outbound }

GET/accounts/{account\_id}/email-security/investigate/{investigate\_id}/trace

##### ModelsExpand Collapse

<details>

<summary>

TraceGetResponse {inbound, outbound }

</summary>

<details>

<summary>

inbound: Inbound {lines, pending }

</summary>

<details>

<summary>

lines?: Array&lt;Line&gt;| null

</summary>

lineno?: number

Line number in the trace log.

<a href="#(resource)%20email_security.investigate.trace%20%3E%20(model)%20trace_get_response%20%3E%20(schema)%20%3E%20(property)%20inbound%20%3E%20(property)%20lines%20%3E%20(items)%20%3E%20(property)%20lineno">Link to this property</a>

logged\_at?: string| null

formatdate-time

[...]
